Package com.smartgwt.logicalstructure.widgets.form

# Class DynamicFormLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.form.DynamicFormLogicalStructure

Direct Known Subclasses:
  `PropertySheetLogicalStructure`, `SearchFormLogicalStructure`

public class DynamicFormLogicalStructure extends CanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `action`
  `String`
  `allowExpressions`
  `String`
  `autoComplete`
  `String`
  `autoDetectColumnMinWidths`
  `String`
  `autoFocus`
  `String`
  `autoFocusOnError`
  `String`
  `browserSpellCheck`
  `String`
  `canEdit`
  `String`
  `canEditFieldAttribute`
  `String`
  `canFocus`
  `String`
  `canSubmit`
  `String`
  `canTabToIcons`
  `String`
  `canTabToSectionHeaders`
  `String`
  `cellBorder`
  `String`
  `cellPadding`
  `String`
  `checkFileAccessOnSubmit`
  `String`
  `clipItemTitles`
  `String`
  `clipStaticValue`
  `String`
  `colWidths`
  `String`
  `dataArity`
  `String`
  `dataFetchMode`
  `String`
  `dateFormatter`
  `String`
  `datetimeFormatter`
  `String`
  `defaultSearchOperator`
  `String`
  `disableValidation`
  `String`
  `editProxyConstructor`
  `String`
  `encoding`
  `String`
  `errorItemCellStyle`
  `String`
  `errorOrientation`
  `String`
  `errors`
  `String`
  `errorsPreamble`
  `String`
  `fileAccessFailedWarning`
  `String`
  `fixedColWidths`
  `String`
  `formSubmitFailedWarning`
  `String`
  `hiliteRequiredFields`
  `String`
  `implicitSave`
  `String`
  `implicitSaveDelay`
  `String`
  `implicitSaveOnBlur`
  `SortSpecifier[]`
  `initialSort`
  `String`
  `itemHoverAlign`
  `String`
  `itemHoverDelay`
  `String`
  `itemHoverHeightAsString`
  `String`
  `itemHoverOpacity`
  `String`
  `itemHoverStyle`
  `String`
  `itemHoverVAlignAsString`
  `String`
  `itemHoverWidthAsString`
  `String`
  `itemLayout`
  `String`
  `linearAutoSpanItems`
  `String`
  `linearHintWidthAsString`
  `String`
  `linearMode`
  `String`
  `linearNumCols`
  `String`
  `linearOnMobile`
  `String`
  `longTextEditorThreshold`
  `String`
  `longTextEditorType`
  `String`
  `method`
  `String`
  `minColWidth`
  `String`
  `minHintWidth`
  `String`
  `noErrorDetailsMessage`
  `String`
  `numCols`
  `String`
  `operator`
  `String`
  `originalValueMessage`
  `String`
  `readOnlyDisplay`
  `String`
  `readOnlyTextBoxStyle`
  `String`
  `rejectInvalidValueOnChange`
  `String`
  `requiredMessage`
  `String`
  `requiredRightTitlePrefix`
  `String`
  `requiredRightTitleSuffix`
  `String`
  `requiredTitlePrefix`
  `String`
  `requiredTitleSuffix`
  `KeyIdentifier`
  `revertValueKey`
  `String`
  `rightTitlePrefix`
  `String`
  `rightTitleSuffix`
  `String`
  `saveOnEnter`
  `String`
  `saveOperationType`
  `String`
  `sectionVisibilityMode`
  `String`
  `selectOnClick`
  `String`
  `selectOnFocus`
  `String`
  `showComplexFieldsRecursively`
  `String`
  `showDeletions`
  `String`
  `showDetailFields`
  `String`
  `showErrorIcons`
  `String`
  `showErrorStyle`
  `String`
  `showErrorText`
  `String`
  `showImageAsURL`
  `String`
  `showInlineErrors`
  `String`
  `showOldValueInHover`
  `String`
  `showPending`
  `String`
  `showTitlesWithErrorMessages`
  `String`
  `showUploadProgress`
  `String`
  `stopOnError`
  `String`
  `storeDisplayValues`
  `String`
  `suppressBrowserClearIcons`
  `String`
  `suppressValidationErrorCallback`
  `String`
  `synchronousValidation`
  `String`
  `target`
  `String`
  `timeFormatter`
  `String`
  `titleAlign`
  `String`
  `titleOrientation`
  `String`
  `titlePrefix`
  `String`
  `titleSuffix`
  `String`
  `titleWidthAsString`
  `String`
  `unknownErrorMessage`
  `String`
  `useFileUploadItem`
  `UserTask`
  `userTask`
  `String`
  `validateOnChange`
  `String`
  `validateOnExit`
  `String`
  `validationURL`
  `String`
  `values`
  `String`
  `wrapHintText`
  `String`
  `wrapItemTitles`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DynamicFormLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### action

    public String action

  - ### allowExpressions

    public String allowExpressions

  - ### autoComplete

    public String autoComplete

  - ### autoDetectColumnMinWidths

    public String autoDetectColumnMinWidths

  - ### autoFocus

    public String autoFocus

  - ### autoFocusOnError

    public String autoFocusOnError

  - ### browserSpellCheck

    public String browserSpellCheck

  - ### canEdit

    public String canEdit

  - ### canEditFieldAttribute

    public String canEditFieldAttribute

  - ### canFocus

    public String canFocus

  - ### canSubmit

    public String canSubmit

  - ### canTabToIcons

    public String canTabToIcons

  - ### canTabToSectionHeaders

    public String canTabToSectionHeaders

  - ### cellBorder

    public String cellBorder

  - ### cellPadding

    public String cellPadding

  - ### checkFileAccessOnSubmit

    public String checkFileAccessOnSubmit

  - ### clipItemTitles

    public String clipItemTitles

  - ### clipStaticValue

    public String clipStaticValue

  - ### colWidths

    public String colWidths

  - ### dataArity

    public String dataArity

  - ### dataFetchMode

    public String dataFetchMode

  - ### dateFormatter

    public String dateFormatter

  - ### datetimeFormatter

    public String datetimeFormatter

  - ### defaultSearchOperator

    public String defaultSearchOperator

  - ### disableValidation

    public String disableValidation

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### encoding

    public String encoding

  - ### errorItemCellStyle

    public String errorItemCellStyle

  - ### errorOrientation

    public String errorOrientation

  - ### errors

    public String errors

  - ### errorsPreamble

    public String errorsPreamble

  - ### fileAccessFailedWarning

    public String fileAccessFailedWarning

  - ### fixedColWidths

    public String fixedColWidths

  - ### formSubmitFailedWarning

    public String formSubmitFailedWarning

  - ### hiliteRequiredFields

    public String hiliteRequiredFields

  - ### implicitSave

    public String implicitSave

  - ### implicitSaveDelay

    public String implicitSaveDelay

  - ### implicitSaveOnBlur

    public String implicitSaveOnBlur

  - ### initialSort

    public SortSpecifier[] initialSort

  - ### itemHoverAlign

    public String itemHoverAlign

  - ### itemHoverDelay

    public String itemHoverDelay

  - ### itemHoverHeightAsString

    public String itemHoverHeightAsString

  - ### itemHoverOpacity

    public String itemHoverOpacity

  - ### itemHoverStyle

    public String itemHoverStyle

  - ### itemHoverVAlignAsString

    public String itemHoverVAlignAsString

  - ### itemHoverWidthAsString

    public String itemHoverWidthAsString

  - ### itemLayout

    public String itemLayout

  - ### linearAutoSpanItems

    public String linearAutoSpanItems

  - ### linearHintWidthAsString

    public String linearHintWidthAsString

  - ### linearMode

    public String linearMode

  - ### linearNumCols

    public String linearNumCols

  - ### linearOnMobile

    public String linearOnMobile

  - ### longTextEditorThreshold

    public String longTextEditorThreshold

  - ### longTextEditorType

    public String longTextEditorType

  - ### method

    public String method

  - ### minColWidth

    public String minColWidth

  - ### minHintWidth

    public String minHintWidth

  - ### noErrorDetailsMessage

    public String noErrorDetailsMessage

  - ### numCols

    public String numCols

  - ### operator

    public String operator

  - ### originalValueMessage

    public String originalValueMessage

  - ### readOnlyDisplay

    public String readOnlyDisplay

  - ### readOnlyTextBoxStyle

    public String readOnlyTextBoxStyle

  - ### rejectInvalidValueOnChange

    public String rejectInvalidValueOnChange

  - ### requiredMessage

    public String requiredMessage

  - ### requiredRightTitlePrefix

    public String requiredRightTitlePrefix

  - ### requiredRightTitleSuffix

    public String requiredRightTitleSuffix

  - ### requiredTitlePrefix

    public String requiredTitlePrefix

  - ### requiredTitleSuffix

    public String requiredTitleSuffix

  - ### revertValueKey

    public KeyIdentifier revertValueKey

  - ### rightTitlePrefix

    public String rightTitlePrefix

  - ### rightTitleSuffix

    public String rightTitleSuffix

  - ### saveOnEnter

    public String saveOnEnter

  - ### saveOperationType

    public String saveOperationType

  - ### sectionVisibilityMode

    public String sectionVisibilityMode

  - ### selectOnClick

    public String selectOnClick

  - ### selectOnFocus

    public String selectOnFocus

  - ### showComplexFieldsRecursively

    public String showComplexFieldsRecursively

  - ### showDeletions

    public String showDeletions

  - ### showDetailFields

    public String showDetailFields

  - ### showErrorIcons

    public String showErrorIcons

  - ### showErrorStyle

    public String showErrorStyle

  - ### showErrorText

    public String showErrorText

  - ### showImageAsURL

    public String showImageAsURL

  - ### showInlineErrors

    public String showInlineErrors

  - ### showOldValueInHover

    public String showOldValueInHover

  - ### showPending

    public String showPending

  - ### showTitlesWithErrorMessages

    public String showTitlesWithErrorMessages

  - ### showUploadProgress

    public String showUploadProgress

  - ### stopOnError

    public String stopOnError

  - ### storeDisplayValues

    public String storeDisplayValues

  - ### suppressBrowserClearIcons

    public String suppressBrowserClearIcons

  - ### suppressValidationErrorCallback

    public String suppressValidationErrorCallback

  - ### synchronousValidation

    public String synchronousValidation

  - ### target

    public String target

  - ### timeFormatter

    public String timeFormatter

  - ### titleAlign

    public String titleAlign

  - ### titleOrientation

    public String titleOrientation

  - ### titlePrefix

    public String titlePrefix

  - ### titleSuffix

    public String titleSuffix

  - ### titleWidthAsString

    public String titleWidthAsString

  - ### unknownErrorMessage

    public String unknownErrorMessage

  - ### useFileUploadItem

    public String useFileUploadItem

  - ### userTask

    public UserTask userTask

  - ### validateOnChange

    public String validateOnChange

  - ### validateOnExit

    public String validateOnExit

  - ### validationURL

    public String validationURL

  - ### values

    public String values

  - ### wrapHintText

    public String wrapHintText

  - ### wrapItemTitles

    public String wrapItemTitles

- ## Constructor Details

  - ### DynamicFormLogicalStructure

    public DynamicFormLogicalStructure()